// * Last edited: Aug 23 12:14 1996 (npcarter)
/*----------------------------------------------------------------------*/
/* Copyright (C) 1994                                                   */
/*                                                                      */
/* Massachusetts Institute of Technology                                */
/* Concurrent VLSI Architecture Group                                   */
/* All rights reserved                                                  */
/*----------------------------------------------------------------------*/

/* File Name:	 	pltch.v				                */
/* Function:	        Positive transparent latch                      */
/*									*/
/* Language: 		Verilog						*/
/*									*/
/* Creator:		Steve Keckler  				        */
/* Creation date:	January 10, 1995  				*/

/*==>>*/
module PLTCH (clk, dIn, dOut); 
  parameter Width = 1;
  input  clk;
  input  [Width-1:0] dIn;
  output [Width-1:0] dOut;
/*<<==*/
    wire [Width-1:0] dOut;
   assign #(`TGPD) dOut = clk ? ~dIn : dOut;
endmodule
